# Sablotron Guide and Reference

SablotParseStylesheet | Functions
#### Summary Parses a XSLT stylesheet from file.
#### Syntax
    int SablotParseStylesheet(SablotSituation S,
           const char *uri,
           SDOM_Document *D);
Name | Type | Description
--- | --- | ---
`S` | `SablotSituation` | Situation handle
`uri` | `const char*` | data URI
`D` | `SDOM_Document*` | The result goes here
#### Description Does the same as `SablotParse`, but document parsed with this function may be used as the stylesheet for the XSLT processing.
#### Notes You should not modify a document created by this function, if you want to use it for the processing. It might (and probably would) lead to the processor crash.
#### See Also
Groups | [ Functions ]
Entries | [ SDOM_Document | SablotParse | SablotSituation ]

© 2002-2003 Ginger Alliance
revision 03-06-30
This page was generated by APIDOC